# 一、基本原理

boot_main() -> app_main()

# 二、MCU上电工作流程
1. 电压上升触发POR
2. 内部晶振起振稳定
3. 寄存器等硬件内核初始化
4. PC指针指向复位中断函数
5. 执行复位中断向量（初始化代码startup.s）

# 三、boot代码内容
1. 跳转APP
2. 校验APP
3. 擦除刷写
4. 流程图

# 四、UDS刷写流程
1. 读版本 $22
2. 进boot $10
3. 解锁 $27
4. 擦除 $31
5. 请求下载 $34
6. 发送数据 $36
7. 停止发送 $37
8. 校验 $31
9. 复位进入APP $11
# 五、其它
1. boot标志
2. flash driver
3. icf文件、map文件